<?php

use QUI\Utils\Security\Orthos;
use QUI\ERP\Payments\Stripe\PaymentMethods\Recurring\Subscriptions;

/**
 * Get data of a single Stripe Subscription
 *
 * @param array $searchParams - Grid search params
 * @return array
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_payment-stripe_ajax_backend_settings_getSubscription',
    function ($subscriptionId) {
        return Subscriptions::getSubscriptionDetails(
            Orthos::clear($subscriptionId)
        );
    },
    ['subscriptionId'],
    ['Permission::checkAdminUser', 'quiqqer.payments.stripe.subscriptions.view']
);
